## discosnp 1.0.1

=== kissreads/Makefile ===
######################################################################################################
#  kissreads                                                                                         #
#  January 2012                                                                                      #
######################################################################################################
# Developper:                                                                                        #
#  Pierre PETERLONGO               pierre.peterlongo@inria.fr                                        #
######################################################################################################

# POSSIBILITIES:
# * make: compiled for generic usage. By default: kmer_spanning (a position is considered as covered if the kmer starting at this position is fully covered by a read)
# * make MYFLAGS=-DLIVIUS_TESTS : output only motifs where au-vb is specific to one datasets and av'-u'b is specific to the other
# * make MYFLAGS=-DCLASSICAL_SPANNING : compiled without kmer (a position is considered as covered as soon as a read maps this position)
# * make MYFLAGS=-DINPUT_FROM_KISSPLICE : compiled for dealing with kissplice output and to count separately junctions and central portions
# Note that this is compatible: make CFLAGS="-DCLASSICAL_SPANNING -DINPUT_FROM_KISSPLICE" is possible


ALL		= kissreads
CC		=gcc

# optimized flags

CFLAGS=-Wall -O3 -lz -fopenmp
CFLAGS+=$(MYFLAGS)
LDFLAGS+=-Wall -lm -O3 -lz -fopenmp

## debug flags


#CFLAGS		+=-Wall -g -lz -fopenmp
#LDFLAGS		+=-Wall -lm -g -lz -fopenmp



SRCDIR		= ./src/
INCLDIR		= ./include/
IFLAGS		= -I$(INCLDIR)




SRC	= $(SRCDIR)coherent_algorithm.c $(SRCDIR)commons.c $(SRCDIR)couple.c $(SRCDIR)extension_algorithm.c $(SRCDIR)fragment_index.c $(SRCDIR)kissReads.c $(SRCDIR)list.c $(SRCDIR)outputs.c $(SRCDIR)interface_libchash.c $(SRCDIR)libchash.c $(SRCDIR)tree.c 
OBJ	= $(SRC:.c=.o)



all: $(ALL)
	@echo "#################"
	@echo "# Compilation OK#"
	@echo "#################"

kissreads: $(OBJ) 
	$(CC)  -o $@ $^ $(LDFLAGS)


kissReads.o: $(INCLDIR)coherence_algorithm.h  $(INCLDIR)couple.h $(INCLDIR)extension_algorithm.h $(INCLDIR)fragment_info.h  $(INCLDIR)libchash.h  $(INCLDIR)outputs.h $(INCLDIR)commons.h $(INCLDIR)extending_fragment.h $(INCLDIR)fragment_index.h $(INCLDIR)hash.h $(INCLDIR)list.h $(INCLDIR)tree.h

%.o: %.c
	$(CC)  -o $@ -c $< $(CFLAGS) $(IFLAGS)

.PHONY: clean mrproper

clean:
	rm -rf $(SRCDIR)*.o $(ALL)

mrproper: clean
	rm -rf $(ALL)

=== debian/changelog ===
discosnp (1.0.1-3) unstable; urgency=low

  * d/rules: FTBS fix help2man command

 -- Olivier Sallou <osallou@debian.org>  Thu, 06 Feb 2014 09:10:12 +0100

discosnp (1.0.1-2) unstable; urgency=low

  * d/control: FTBS due to missing deps

 -- Olivier Sallou <osallou@debian.org>  Thu, 06 Feb 2014 08:04:38 +0100

discosnp (1.0.1-1) unstable; urgency=low

  * First debian package (Closes: #737098).

 -- Olivier Sallou <osallou@debian.org>  Sat, 01 Feb 2014 16:55:29 +0100

=== debian/control ===
Source: discosnp
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
 bc, zlib1g-dev, help2man
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/discosnp/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/discosnp/trunk/
Homepage: http://colibread.inria.fr/discosnp/

Package: discosnp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
         zlib1g, bc, python
Description: discovering Single Nucleotide Polymorphism from raw set(s) of reads
 Software discoSnp is designed for discovering Single Nucleotide 
 Polymorphism (SNP) from raw set(s) of reads obtained with Next Generation
 Sequencers (NGS).
 .
 Note that number of input read sets is not constrained, it can be one, two, 
 or more. Note also that no other data as reference genome or annotations 
 are needed.
 .
 The software is composed by two modules. First module, kissnp2, detects SNPs 
 from read sets. A second module, kissreads, enhance the kissnp2 results by 
 computing per read set  and for each found SNP:
 1) its mean read coverage
 2) the (phred) quality of reads generating the polymorphism.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SRC_VERSION =$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')

%:
	dh $@

get-orig-source:
	uscan --verbose --force-download --repack --repack-compression xz

override_dh_auto_build:
	dh_auto_build
	cd kissnp2 && make k=29
	cd kissreads && make k=29

override_dh_install:
	cp output_analyses/discoSnp_to_genotypes.py output_analyses/discoSnp_to_genotypes
	cp output_analyses/discoSnp_to_csv.py output_analyses/discoSnp_to_csv
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) kissnp2/kissnp2  > kissnp2.1
	help2man --help-option=-h --no-discard-stderr --version-string=$(SRC_VERSION) kissreads/kissreads > kissreads.1
	dh_install

override_dh_clean:
	cd minia && make clean
	cd kissnp2 && make clean
	cd kissreads && make clean
	rm -f output_analyses/discoSnp_to_genotypes
	rm -f output_analyses/discoSnp_to_csv
	rm -f kissnp2/kissnp2
	rm -f kissreads/kissreads
	rm -f kissreads.1
	rm -f kissnp2.1
	dh_clean

get-orig-source:
	uscan --verbose --force-download --repack --repack-compression xz

## discosnp 1.2.2

=== kissreads/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # POSSIBILITIES:
 # * make: compiled for generic usage. By default: kmer_spanning (a position is considered as covered if the kmer starting at this position is fully covered by a read)
-# * make MYFLAGS=-DLIVIUS_TESTS : output only motifs where au-vb is specific to one datasets and av'-u'b is specific to the other
+# * make MYFLAGS=-DREAD2INV : output only motifs where au-vb is specific to one datasets and av'-u'b is specific to the other
 # * make MYFLAGS=-DCLASSICAL_SPANNING : compiled without kmer (a position is considered as covered as soon as a read maps this position)
 # * make MYFLAGS=-DINPUT_FROM_KISSPLICE : compiled for dealing with kissplice output and to count separately junctions and central portions
 # Note that this is compatible: make CFLAGS="-DCLASSICAL_SPANNING -DINPUT_FROM_KISSPLICE" is possible
@@ -19,9 +19,9 @@
 
 # optimized flags
 
-CFLAGS=-Wall -O3 -lz -fopenmp
+CFLAGS=-Wall -O3 -lz -fopenmp -DOMP #openmp is incompatiblre with clang #@!§
 CFLAGS+=$(MYFLAGS)
-LDFLAGS+=-Wall -lm -O3 -lz -fopenmp
+LDFLAGS+=-Wall -lm -O3 -lz -DOMP -fopenmp#-fopenmp
 
 ## debug flags

=== debian/changelog ===
discosnp (1.2.2-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Thu, 29 May 2014 14:09:41 +0200

discosnp (1.2.1-1) unstable; urgency=low

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Wed, 09 Apr 2014 14:41:03 +0200

## discosnp 1.2.5

=== kissreads/Makefile ===
--- 
+++ 
@@ -19,16 +19,23 @@
 
 # optimized flags
 
-CFLAGS=-Wall -O3 -lz -fopenmp -DOMP #openmp is incompatiblre with clang #@!§
+#CFLAGS=-Wall -O3 -L/../thirdparty/zlib/build/ -lz
+CFLAGS= -O3  -L../thirdparty/zlib/build/ -lz
 CFLAGS+=$(MYFLAGS)
-LDFLAGS+=-Wall -lm -O3 -lz -DOMP -fopenmp#-fopenmp
+
+#LDFLAGS+=-Wall -lm -O3 -L../thirdparty/zlib/build/ -lz
+LDFLAGS+= -O3 -lm  -L../thirdparty/zlib/build/ -lz
 
 ## debug flags
+#CFLAGS		+=-Wall -g -lz -fopenmp
+#LDFLAGS	+=-Wall -lm -g -lz -fopenmp
 
 
-#CFLAGS		+=-Wall -g -lz -fopenmp
-#LDFLAGS		+=-Wall -lm -g -lz -fopenmp
-
+#openmp is incompatiblre with clang 
+ifeq ($(CC), gcc)
+ CFLAGS += -fopenmp -DOMP
+ LDFLAGS+= -fopenmp -DOMP
+endif
 
 
 SRCDIR		= ./src/
@@ -36,9 +43,7 @@
 IFLAGS		= -I$(INCLDIR)
 
 
-
-
-SRC	= $(SRCDIR)coherent_algorithm.c $(SRCDIR)commons.c $(SRCDIR)couple.c $(SRCDIR)extension_algorithm.c $(SRCDIR)fragment_index.c $(SRCDIR)kissReads.c $(SRCDIR)list.c $(SRCDIR)outputs.c $(SRCDIR)interface_libchash.c $(SRCDIR)libchash.c $(SRCDIR)tree.c 
+SRC	= $(SRCDIR)coherent_algorithm.c $(SRCDIR)commons.c $(SRCDIR)couple.c $(SRCDIR)extension_algorithm.c $(SRCDIR)fragment_index.c $(SRCDIR)kissReads.c $(SRCDIR)list.c $(SRCDIR)outputs.c $(SRCDIR)interface_libchash.c $(SRCDIR)libchash.c 
 OBJ	= $(SRC:.c=.o)

=== debian/changelog ===
discosnp (1.2.5-1) unstable; urgency=medium

  * New upstream release
  * cme fix dpkg-control
  * Fix some DEP3 lintian issues

 -- Andreas Tille <tille@debian.org>  Sat, 11 Oct 2014 10:41:32 +0200

discosnp (1.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Mon, 18 Aug 2014 16:42:33 +0200

## discosnp 1.2.6

=== debian/changelog ===
discosnp (1.2.6-2) unstable; urgency=medium

  * Secure URI in watch file
  * Mention that program is superseded by DiscoSnp++
  * Moved packaging from SVN to Git
  * debhelper 10
  * d/rules: do not parse d/changelog
  * Standards-Version: 4.1.1
  * DEP5
  * Remove unused lintian override

 -- Andreas Tille <tille@debian.org>  Tue, 14 Nov 2017 10:05:31 +0100

discosnp (1.2.6-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Fri, 21 Nov 2014 17:56:37 +0100

=== debian/control ===
Source: discosnp
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               bc,
               zlib1g-dev,
               help2man
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/discosnp.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/discosnp.git
Homepage: http://colibread.inria.fr/discosnp/

Package: discosnp
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         zlib1g,
         bc,
         python
Description: discovering Single Nucleotide Polymorphism from raw set(s) of reads
 Software discoSnp is designed for discovering Single Nucleotide 
 Polymorphism (SNP) from raw set(s) of reads obtained with Next Generation
 Sequencers (NGS).
 .
 Note that number of input read sets is not constrained, it can be one, two, 
 or more. Note also that no other data as reference genome or annotations 
 are needed.
 .
 The software is composed by two modules. First module, kissnp2, detects SNPs 
 from read sets. A second module, kissreads, enhance the kissnp2 results by 
 computing per read set  and for each found SNP:
 .
  1) its mean read coverage
  2) the (phred) quality of reads generating the polymorphism.
 .
 This program is superseded by DiscoSnp++.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	cd kissnp2 && make k=29
	cd kissreads && make k=29

override_dh_install:
	cp output_analyses/discoSnp_to_genotypes.py output_analyses/discoSnp_to_genotypes
	cp output_analyses/discoSnp_to_csv.py output_analyses/discoSnp_to_csv
	help2man --help-option=-h --no-discard-stderr --version-string=$(DEB_VERSION_UPSTREAM) kissnp2/kissnp2  > kissnp2.1
	help2man --help-option=-h --no-discard-stderr --version-string=$(DEB_VERSION_UPSTREAM) kissreads/kissreads > kissreads.1
	dh_install

override_dh_clean:
	cd minia && make clean
	cd kissnp2 && make clean
	cd kissreads && make clean
	rm -f output_analyses/discoSnp_to_genotypes
	rm -f output_analyses/discoSnp_to_csv
	rm -f kissnp2/kissnp2
	rm -f kissreads/kissreads
	rm -f kissreads.1
	rm -f kissnp2.1
	dh_clean

=== debian/watch ===
version=4

https://colibread.inria.fr/discosnp/ https://colibread.inria.fr/files/\d+/\d+/discoSnp_([.\d]+)\.zip

## discosnp 2.3.0

=== CMakeLists.txt ===
project(DiscoSNP++)

cmake_minimum_required(VERSION 2.6)

################################################################################
# The version number.
################################################################################
SET (gatb-tool_VERSION_MAJOR 2)
SET (gatb-tool_VERSION_MINOR 2)
SET (gatb-tool_VERSION_PATCH 10)

IF (DEFINED MAJOR)
    SET (gatb-tool_VERSION_MAJOR ${MAJOR})
ENDIF()
IF (DEFINED MINOR)
    SET (gatb-tool_VERSION_MINOR ${MINOR})
ENDIF()
IF (DEFINED PATCH)
    SET (gatb-tool_VERSION_PATCH ${PATCH})
ENDIF()

set (gatb-tool-version ${gatb-tool_VERSION_MAJOR}.${gatb-tool_VERSION_MINOR}.${gatb-tool_VERSION_PATCH})

# However, continuous integration has priority over local compilation
IF (DEFINED JENKINS_TAG)
    SET (gatb-tool-version ${JENKINS_TAG})
ENDIF()

################################################################################
# Define cmake modules directory
################################################################################
SET (GATB_CORE_HOME  ${PROJECT_SOURCE_DIR}/thirdparty/gatb-core/gatb-core)
SET (CMAKE_MODULE_PATH ${GATB_CORE_HOME}/cmake)

################################################################################
# THIRD PARTIES
################################################################################

# We don't want to install some GATB-CORE artifacts
SET (GATB_CORE_EXCLUDE_TESTS     1)
SET (GATB_CORE_EXCLUDE_EXAMPLES  1)

# GATB CORE
include (GatbCore)

################################################################################
#  TOOLS GENERATION
################################################################################

SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/bin)

set(PROJECT_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR}/bin)
#set(PROJECT_BINARY_DIR bin)
ADD_SUBDIRECTORY(tools)

################################################################################
#  PACKAGING
################################################################################

SET (CPACK_PACKAGE_DESCRIPTION_SUMMARY  "gatb-tool ${PROJECT_NAME}")
SET (CPACK_PACKAGE_VENDOR               "Genscale team (INRIA)")
SET (CPACK_PACKAGE_VERSION_MAJOR        "${gatb-tool_VERSION_MAJOR}")
SET (CPACK_PACKAGE_VERSION_MINOR        "${gatb-tool_VERSION_MINOR}")
SET (CPACK_PACKAGE_VERSION_PATCH        "${gatb-tool_VERSION_PATCH}")
SET (CPACK_PACKAGE_VERSION              "${gatb-tool-version}")

# We chose the kind of archive we want to generate
SET (CPACK_GENERATOR            "TGZ")
SET (CPACK_SOURCE_GENERATOR     "TGZ")

# We ignore unwanted files for the source archive
SET (CPACK_SOURCE_IGNORE_FILES
    "^${PROJECT_SOURCE_DIR}/\\.git/"     ;
    "^${PROJECT_SOURCE_DIR}/\\.gitmodules" ;
    "^${PROJECT_SOURCE_DIR}/\\.gitignore" ;
    "^${PROJECT_SOURCE_DIR}/build/"  ;
    "^${GATB_CORE_HOME}/\\.cproject" ;
    "^${GATB_CORE_HOME}/\\.git/"     ;
    "^${GATB_CORE_HOME}/\\.project"  ;
    "^${GATB_CORE_HOME}/\\.gitignore"
)

# For creating the BINARY package we include the files we want
INSTALL (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/doc                DESTINATION .)
INSTALL (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/test               DESTINATION .)
INSTALL (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/scripts            DESTINATION . FILES_MATCHING REGEX ".*\\.(py|sh)$"  PATTERN "jenkins" EXCLUDE)
INSTALL (FILES     ${CMAKE_CURRENT_SOURCE_DIR}/run_discoSnp++.sh  DESTINATION .)
INSTALL (FILES     ${CMAKE_CURRENT_SOURCE_DIR}/README.md          DESTINATION .)
INSTALL (FILES     ${CMAKE_CURRENT_SOURCE_DIR}/LICENSE            DESTINATION .)

# We include the "bin" tag into binary archive file name
set (CPACK_PACKAGE_FILE_NAME  ${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}-bin-${CMAKE_SYSTEM_NAME})

# To be done at the end.
INCLUDE (CPack)

=== tools/CMakeLists.txt ===
################################################################################
#  TOOLS GENERATION 
################################################################################
ADD_SUBDIRECTORY(kissnp2)
ADD_SUBDIRECTORY(kissreads2)
ADD_SUBDIRECTORY(read_file_names)
ADD_SUBDIRECTORY(QHC)

=== debian/changelog ===
discosnp (2.3.0-2) unstable; urgency=medium

  * Rebuild against libgatbcore2
    Closes: #921843
  * Test-Depends: python

 -- Andreas Tille <tille@debian.org>  Sun, 10 Feb 2019 15:12:20 +0100

discosnp (2.3.0-1) unstable; urgency=medium

  * Point watch file to Github
  * New upstream version
  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * Remove trailing whitespace in debian/copyright
  * Build-Depends: libboost-dev, libgatbcore-dev, libhdf5-dev, zlib1g-dev
  * Fix dh_install
  * Depends: gatb-core
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 23 Jan 2019 16:44:23 +0100

=== debian/control ===
Source: discosnp
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               python3,
               cmake,
               libgatbcore-dev (>= 1.4.1+git20180206.6f8fce8~),
               libboost-dev,
               libhdf5-dev,
               zlib1g-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/discosnp
Vcs-Git: https://salsa.debian.org/med-team/discosnp.git
Homepage: http://colibread.inria.fr/discosnp/

Package: discosnp
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
         python3,
         gatb-core
Description: discovering Single Nucleotide Polymorphism from raw set(s) of reads
 Software discoSnp is designed for discovering Single Nucleotide
 Polymorphism (SNP) from raw set(s) of reads obtained with Next Generation
 Sequencers (NGS).
 .
 Note that number of input read sets is not constrained, it can be one, two,
 or more. Note also that no other data as reference genome or annotations
 are needed.
 .
 The software is composed by two modules. First module, kissnp2, detects SNPs
 from read sets. A second module, kissreads, enhance the kissnp2 results by
 computing per read set  and for each found SNP:
 .
  1) its mean read coverage
  2) the (phred) quality of reads generating the polymorphism.
 .
 This program is superseded by DiscoSnp++.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk


%:
	dh $@ --with python3

override_dh_install:
	dh_install
	mkdir -p debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/bin
	mv debian/$(DEB_SOURCE)/usr/bin/read_file_names			debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/bin
	mv debian/$(DEB_SOURCE)/usr/bin/quick_hierarchical_clustering	debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/bin
	rm -rf debian/$(DEB_SOURCE)/usr/share/discosnp/scripts/jenkins
	for pl in `grep -Rl -e '#![[:space:]]*/bin/python' -e '#![[:space:]]*/usr/bin/env *python' debian/*/usr/*` ; do \
	    sed -i '1s?^#!.*python?#!/usr/bin/python3?' $${pl} ; \
	done

override_dh_installman:
	dh_installman
	# dh_installman interprets .sh as language - just copy manpages manually
	cp -a debian/mans/*.sh.1 debian/$(DEB_SOURCE)/usr/share/man/man1

## discosnp 2.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,16 @@
 project(DiscoSNP++)
 
 cmake_minimum_required(VERSION 2.6)
-
+#add_compile_options(
+# "-Wall" "-Wpedantic" "-Wextra" "-fexceptions"
+#  "$<$<CONFIG:DEBUG>:-O0;-g3;-ggdb>"
+#)
 ################################################################################
 # The version number.
 ################################################################################
 SET (gatb-tool_VERSION_MAJOR 2)
-SET (gatb-tool_VERSION_MINOR 2)
-SET (gatb-tool_VERSION_PATCH 10)
+SET (gatb-tool_VERSION_MINOR 6)
+SET (gatb-tool_VERSION_PATCH 1)
 
 IF (DEFINED MAJOR)
     SET (gatb-tool_VERSION_MAJOR ${MAJOR})
@@ -81,6 +84,7 @@
 )
 
 # For creating the BINARY package we include the files we want
+INSTALL (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/discoSnpRAD        DESTINATION .)
 INSTALL (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/doc                DESTINATION .)
 INSTALL (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/test               DESTINATION .)
 INSTALL (DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/scripts            DESTINATION . FILES_MATCHING REGEX ".*\\.(py|sh)$"  PATTERN "jenkins" EXCLUDE)

=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -3,5 +3,6 @@
 ################################################################################
 ADD_SUBDIRECTORY(kissnp2)
 ADD_SUBDIRECTORY(kissreads2)
+ADD_SUBDIRECTORY(QHC)
 ADD_SUBDIRECTORY(read_file_names)
-ADD_SUBDIRECTORY(QHC)
+ADD_SUBDIRECTORY(create_coverage_h5_file)

=== tools/QHC/CMakeLists.txt ===
project(quick_hierarchical_clustering)

################################################################################
# TOOL
################################################################################

# we get compilation definitions from the gatb-core part
add_definitions (${gatb-core-flags})

# we give the headers directories from : 
#       - from project source 
#       - from GATB-CORE source
include_directories (src  ${gatb-core-includes})

# we define the files to be compiled
file (GLOB_RECURSE  ProjectFiles  src/*)

# we define the artifact to be built: the project binary
add_executable        (${PROJECT_NAME}  ${ProjectFiles})

set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIRZ})


# we define which libraries to be linked with project binary
target_link_libraries (${PROJECT_NAME}  ${gatb-core-libraries})


# We copy the project binary to the 'bin' directory
INSTALL (TARGETS ${PROJECT_NAME} DESTINATION bin)

=== tools/create_coverage_h5_file/CMakeLists.txt ===
project(create_coverage_h5_file)

################################################################################
# TOOL
################################################################################

# we get compilation definitions from the gatb-core part
add_definitions (${gatb-core-flags})

# we give the headers directories from : 
#       - from project source 
#       - from GATB-CORE source
include_directories (src  ${gatb-core-includes})

# we define the files to be compiled
file (GLOB_RECURSE  ProjectFiles  src/*)

# we define the artifact to be built: the project binary
add_executable        (${PROJECT_NAME}  ${ProjectFiles})

set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIRZ})


# we define which libraries to be linked with project binary
target_link_libraries (${PROJECT_NAME}  ${gatb-core-libraries})


# We copy the project binary to the 'bin' directory
INSTALL (TARGETS ${PROJECT_NAME} DESTINATION bin)

=== tools/kissnp2/CMakeLists.txt ===
project(kissnp2)

################################################################################
# TOOL
################################################################################

# we get compilation definitions from the gatb-core part
add_definitions (${gatb-core-flags})

# we give the headers directories from : 
#       - from project source 
#       - from GATB-CORE source
include_directories (src  ${gatb-core-includes})

# we define the files to be compiled
file (GLOB_RECURSE  ProjectFiles  src/*)

# we define the artifact to be built: the project binary
add_executable        (${PROJECT_NAME}  ${ProjectFiles})

set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIRZ})


# we define which libraries to be linked with project binary
target_link_libraries (${PROJECT_NAME}  ${gatb-core-libraries})


# We copy the project binary to the 'bin' directory
INSTALL (TARGETS ${PROJECT_NAME} DESTINATION bin)

=== tools/kissreads2/CMakeLists.txt ===
project(kissreads2)

################################################################################
# TOOL
################################################################################

# we get compilation definitions from the gatb-core part
add_definitions (${gatb-core-flags})

# we give the headers directories from : 
#       - from project source 
#       - from GATB-CORE source
include_directories (src  ${gatb-core-includes})

# we define the files to be compiled
file (GLOB_RECURSE  ProjectFiles  src/*)

# we define the artifact to be built: the project binary
add_executable        (${PROJECT_NAME}  ${ProjectFiles})

set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIRZ})


# we define which libraries to be linked with project binary
target_link_libraries (${PROJECT_NAME}  ${gatb-core-libraries})


# We copy the project binary to the 'bin' directory
INSTALL (TARGETS ${PROJECT_NAME} DESTINATION bin)

=== tools/read_file_names/CMakeLists.txt ===
project(read_file_names)

################################################################################
# TOOL
################################################################################

# we get compilation definitions from the gatb-core part
add_definitions (${gatb-core-flags})

# we give the headers directories from : 
#       - from project source 
#       - from GATB-CORE source
include_directories (src  ${gatb-core-includes})

# we define the files to be compiled
file (GLOB_RECURSE  ProjectFiles  src/*)

# we define the artifact to be built: the project binary
add_executable        (${PROJECT_NAME}  ${ProjectFiles})

set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIRZ})


# we define which libraries to be linked with project binary
target_link_libraries (${PROJECT_NAME}  ${gatb-core-libraries})


# We copy the project binary to the 'bin' directory
INSTALL (TARGETS ${PROJECT_NAME} DESTINATION bin)

=== debian/changelog ===
discosnp (1:2.6.2-5) unstable; urgency=medium

  * Fix build with CMake 4
    Closes: #1112847
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Oct 2025 11:54:32 +0200

discosnp (1:2.6.2-4) unstable; urgency=medium

  * Fix Python3.12 syntax
    Closes: #1085542
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 07 Dec 2024 10:07:19 +0100

discosnp (1:2.6.2-3) unstable; urgency=medium

  * Add loong64 support
    Closes: #1058998
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 23 Dec 2023 10:43:18 +0100

discosnp (1:2.6.2-2) unstable; urgency=medium

  * Team upload.
  * d/control: Only build on architectures supported by gatb-core.
    (Closes: #1031530)
  * d/control: Bump Standards-Version to 4.6.2; no changes needed.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 17 Feb 2023 17:51:51 -0500

discosnp (1:2.6.2-1) unstable; urgency=medium

  [ Étienne Mollier ]
  * Adjust use_debian_packaged_gatb-core.patch to not include GatbCore

  [ Andreas Tille ]
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 16:58:46 +0100

discosnp (1:2.6.1-1) unstable; urgency=medium

  * New upstream version
    Closes: #1000413

 -- Andreas Tille <tille@debian.org>  Sun, 05 Dec 2021 16:34:05 +0100

discosnp (1:2.5.4-1) unstable; urgency=medium

  * New upstream version (upstream has not properly tagged what was
    released as version 4.4.4 thus using epoch)
    Closes: #998143
  * debian/watch:
     - do not report broken version 4.4.4
     - create sensible download file name

 -- Andreas Tille <tille@debian.org>  Tue, 09 Nov 2021 20:26:48 +0100

discosnp (4.4.4-2) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 18 Oct 2021 14:11:56 +0200

discosnp (4.4.4-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 01 Oct 2020 14:54:12 +0200

discosnp (2.4.3-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * Reported fixed typos upstream
    - https://github.com/GATB/DiscoSnp/pull/15/
    - https://github.com/GATB/DiscoSnp/pull/14/

  [ Andreas Tille ]
  * Fix Python interpreter in several scripts and autopkgtest
    Closes: #942982
  * Standards-Version: 4.5.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jan 2020 15:59:28 +0100

discosnp (2.3.0-3) unstable; urgency=medium

  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 12 Dec 2019 21:17:15 +0100

=== debian/control ===
Source: discosnp
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Olivier Sallou <osallou@debian.org>,
 Andreas Tille <tille@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3,
 cmake,
 libgatbcore-dev,
 libboost-dev,
 libhdf5-dev,
 zlib1g-dev,
Vcs-Browser: https://salsa.debian.org/med-team/discosnp
Vcs-Git: https://salsa.debian.org/med-team/discosnp.git
Homepage: http://colibread.inria.fr/discosnp/
Rules-Requires-Root: no

Package: discosnp
Architecture: any-amd64 arm64 loong64 mips64el ppc64el ia64 ppc64 riscv64 sparc64 alpha
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends},
 python3,
 gatb-core,
Description: discovering Single Nucleotide Polymorphism from raw set(s) of reads
 Software discoSnp is designed for discovering Single Nucleotide
 Polymorphism (SNP) from raw set(s) of reads obtained with Next Generation
 Sequencers (NGS).
 .
 Note that number of input read sets is not constrained, it can be one, two,
 or more. Note also that no other data as reference genome or annotations
 are needed.
 .
 The software is composed by two modules. First module, kissnp2, detects SNPs
 from read sets. A second module, kissreads, enhance the kissnp2 results by
 computing per read set  and for each found SNP:
 .
  1) its mean read coverage
  2) the (phred) quality of reads generating the polymorphism.
 .
 This program is superseded by DiscoSnp++.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,10 @@
 
 
 %:
-	dh $@ --with python3
+	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5
 
 override_dh_install:
 	dh_install
@@ -15,9 +18,6 @@
 	mv debian/$(DEB_SOURCE)/usr/bin/read_file_names			debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/bin
 	mv debian/$(DEB_SOURCE)/usr/bin/quick_hierarchical_clustering	debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/bin
 	rm -rf debian/$(DEB_SOURCE)/usr/share/discosnp/scripts/jenkins
-	for pl in `grep -Rl -e '#![[:space:]]*/bin/python' -e '#![[:space:]]*/usr/bin/env *python' debian/*/usr/*` ; do \
-	    sed -i '1s?^#!.*python?#!/usr/bin/python3?' $${pl} ; \
-	done
 
 override_dh_installman:
 	dh_installman

=== debian/watch ===
Version: 5

Template: Github
Owner: GATB
Project: DiscoSnp
Uversion-Mangle: s/^4\.4\.4/2.4.4/

## discosnp 4.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,8 @@
 # The version number.
 ################################################################################
 SET (gatb-tool_VERSION_MAJOR 2)
-SET (gatb-tool_VERSION_MINOR 6)
-SET (gatb-tool_VERSION_PATCH 1)
+SET (gatb-tool_VERSION_MINOR 4)
+SET (gatb-tool_VERSION_PATCH 3)
 
 IF (DEFINED MAJOR)
     SET (gatb-tool_VERSION_MAJOR ${MAJOR})

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,30 @@
 Source: discosnp
-Standards-Version: 4.7.2
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders:
- Olivier Sallou <osallou@debian.org>,
- Andreas Tille <tille@debian.org>,
+Uploaders: Olivier Sallou <osallou@debian.org>,
+           Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends:
- debhelper-compat (= 13),
- dh-sequence-python3,
- python3,
- cmake,
- libgatbcore-dev,
- libboost-dev,
- libhdf5-dev,
- zlib1g-dev,
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
+               python3,
+               cmake,
+               libgatbcore-dev,
+               libboost-dev,
+               libhdf5-dev,
+               zlib1g-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/discosnp
 Vcs-Git: https://salsa.debian.org/med-team/discosnp.git
 Homepage: http://colibread.inria.fr/discosnp/
 Rules-Requires-Root: no
 
 Package: discosnp
-Architecture: any-amd64 arm64 loong64 mips64el ppc64el ia64 ppc64 riscv64 sparc64 alpha
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- ${python3:Depends},
- python3,
- gatb-core,
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         ${python3:Depends},
+         python3,
+         gatb-core
 Description: discovering Single Nucleotide Polymorphism from raw set(s) of reads
  Software discoSnp is designed for discovering Single Nucleotide
  Polymorphism (SNP) from raw set(s) of reads obtained with Next Generation

=== debian/watch ===
version=4

https://github.com/GATB/DiscoSnp/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@
